import { WorkingDirectoryInfo, CreateQuestionsOptions, RegSuitConfiguration, NotifierPlugin } from "reg-suit-interface";
import { RegLogger } from "reg-suit-util";
export interface PluginMetadata {
    moduleId: string;
    [key: string]: any;
}
export declare class PluginManager {
    private _logger;
    private _noEmit;
    private _config;
    private _workingDirs;
    constructor(_logger: RegLogger, _noEmit: boolean, _config: RegSuitConfiguration, _workingDirs: WorkingDirectoryInfo);
    loadPlugins(): void;
    createQuestions(opt: CreateQuestionsOptions): {
        name: string;
        questions: any[];
        prepare: (inquireResult: any) => Promise<any>;
        configured: any;
    }[];
    initKeyGenerator(): import("reg-suit-interface").KeyGeneratorPlugin<any> | undefined;
    initPublisher(): import("reg-suit-interface").PublisherPlugin<any> | undefined;
    initNotifiers(): NotifierPlugin<any>[];
    private _initPlugin;
}
